com.microfocus.awm.meta.modelextension

## Class LinkedElementTypeExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.LinkedElementTypeExtension

-     public class LinkedElementTypeExtension
      extends ModelExtensionObject

  Parsed linked element type extension.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedElementTypeExtension(java.lang.String pId, java.lang.String pLabel, java.lang.Object pIdentificator, java.lang.Object pDragDropAssistant, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDragDropAssistant()` Gets the IAWMDragDropAssistant.
    `IDDefinitionExtension` | `getIdDefinition()` Gets the referenced `IDDefinitionExtension`.
    `java.lang.Object` | `getIdentificator()` Gets the ILinkedElementIdentificator.
    `void` | `setIDDefinition(IDDefinitionExtension pIDDefinition)` Sets the `IDDefinitionExtension` of the linked element extension.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedElementTypeExtension

          public LinkedElementTypeExtension(java.lang.String pId,
                                            java.lang.String pLabel,
                                            java.lang.Object pIdentificator,
                                            java.lang.Object pDragDropAssistant,
                                            FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pId` - the ID
        `pLabel` - the label
        `pIdentificator` - the ILinkedElementTypeIdentificator. Can be `null`
        `pFunctionPackage` - the function package

  - ### Method Detail

    - #### getIdentificator

          public java.lang.Object getIdentificator()

      Gets the ILinkedElementIdentificator.
      Returns:
        the identificator (can be `null`).

    - #### getDragDropAssistant

          public java.lang.Object getDragDropAssistant()

      Gets the IAWMDragDropAssistant.
      Returns:
        the drag and drop assistant (can be `null`).

    - #### setIDDefinition

          public void setIDDefinition(IDDefinitionExtension pIDDefinition)

      Sets the `IDDefinitionExtension` of the linked element extension.
      Parameters:
        `pIDDefinition` - the referenced ID definition extension

    - #### getIdDefinition

          public IDDefinitionExtension getIdDefinition()

      Gets the referenced `IDDefinitionExtension`.
      Returns:
        the ID definition extension or `null`, if the reference has not been set or was invalid

Copyright © 2015 Micro Focus GmbH. All rights reserved.